Package org.jfree.report.util

# Class LazyNameMap

java.lang.Object
org.jfree.report.util.LazyNameMap

All Implemented Interfaces:
  `Cloneable`

public class LazyNameMap extends Object implements Cloneable
Creation-Date: 06.03.2006, 20:20:17

Author:
  Thomas Morgner

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LazyNameMap.NameCarrier`

## Constructor Summary

Constructors
Constructor
Description
`LazyNameMap()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`LazyNameMap.NameCarrier`
`get(String key)`
`boolean`
`isClean()`
`LazyNameMap.NameCarrier`
`remove(String key)`
`void`
`setValue(String key, int value)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LazyNameMap

public LazyNameMap()

## Method Details

### isClean

public boolean isClean()

### setValue

public void setValue(String key, int value)

### get

public LazyNameMap.NameCarrier get(String key)

### remove

public LazyNameMap.NameCarrier remove(String key)

### clone

public Object clone()

Overrides:
  `clone` in class `Object`